Bric::Util::Coll::OutputChannel(3)

NAME
Bric::Util::Coll::OutputChannel - Interface for managing collections of Output Channels.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-09-13 17:48:55 -0700 (Mon, 13 Sep 2004) $

SYNOPSIS
See Bric::Util::Coll.

DESCRIPTION
See Bric::Util::Coll.

INTERFACE

  Constructors
Inherited from Bric::Util::Coll.

  Destructors

$org->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

Bric::Util::Coll->class_name()
    Returns the name of the class of objects this collection manages.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Instance Methods

$self = $coll->save($key => $id)
    Saves the changes made to all the objects in the collection. The $key argument indicates the type of object with which each output channel should be associated. The available keys are:

    server_type
        Indicates a Bric::Dist::ServerType association.

    story
        Indicates a Bric::Biz::Asset::Business::Story association.

    media
        Indicates a Bric::Biz::Asset::Business::Media association.

    The $id argument is the ID of the object with which each output channel should be associated.

    Throws:

    *   Invalid key.

    *   Bric::_get() - Problems retrieving fields.

    *   Unable to connect to database.

    *   Unable to prepare SQL statement.

    *   Unable to execute SQL statement.

    *   Unable to select row.

    *   Incorrect number of args to _set.

    *   Bric::_set() - Problems setting fields.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods

Bric::Util::Coll::OutputChannel->_sort_objs($objs_href)
    Sorts a list of objects into an internally-specified order. This class sorts output channel objects by name.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@wheeler.net>

SEE ALSO
Bric, Bric::Util::Coll, Bric::Biz::OutputChannel